Skip to content

Create a template in project
GA

Request

Creates a new template with the request data.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Template data

detailsobject(KakaotalkInputTemplateDetailsDto)required

Template details and information.

statusstring(KakaotalkActions)

Create as draft or submit. Defaults to submit.

Default:"SUBMIT"
Enum:"DRAFT""SUBMIT"
saveDraftOnFailureboolean

Flag to save template as draft if submission fails. Defaults to false.

Default:false

Minimum body to create a template.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "details": {
      "name": "Example name",
      "content": "Example content",
      "language": "EN"
    }
  }'

Responses

Created template

Bodyapplication/json
codestringrequired

Registered delivery template code

idstring

The unique ID of the template.

statestring(KakaotalkTemplateStates)

The current state of the template.

Enum:"APPROVED""REJECTED"
changesobject(KakaotalkTemplateChangesDto)

Any pending changes to the template.

detailsobject(KakaotalkTemplateDetailsDto)

Template details and information.

createdstring

The UTC Date Time in ISO 8601 for when the template was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the template was last modified.

Response

Response when successfully creating a template.

{ "id": "1a76b24e-bead-4c72-b468-6c3bdfff0ee6", "code": "S7yFqaKqJ8tsnBZH2CEd", "changes": { "status": "IN_PROGRESS", "details": { … } }, "created": "2023-02-24T10:19:31.372Z", "modified": "2023-02-24T10:19:31.372Z" }

Callbacks

KakaoTalk Template received a comment
post
KakaoTalk Template approved
post
KakaoTalk Template rejected
post
We'd love to hear from you!
Rate this content: